Search found 1032 matches

Go to advanced search

by Chris_G
Tue Jul 16, 2019 1:00 pm
Forum: Python scripting and macros
Topic: Hidding a Slice
Replies: 2
Views: 26

Re: Hidding a Slice

Slice_group = CompoundTools.Explode.explodeCompound(f) # Creation of "Exploded Slice" Here, Slice_group is a tuple : ( group_object , list_slice_objects ) Be careful, group_object can be None, if there is only 1 slice part. So you'd better use the slice objects from list_slice_objects . These are A...
by Chris_G
Tue Jul 16, 2019 8:18 am
Forum: Open discussion
Topic: Curves workbench
Replies: 369
Views: 31676

Re: Curves workbench

JoinCurve is exactly aligned with the face border, on the left side : this is looking for troubles.
You should make trim curves that extend beyond the face to trim.
by Chris_G
Sat Jul 13, 2019 9:21 am
Forum: Python scripting and macros
Topic: get an empty shape
Replies: 2
Views: 109

Re: get an empty shape

Maybe :

Code: Select all

s = Part.Shape()
by Chris_G
Thu Jul 11, 2019 2:11 pm
Forum: Python scripting and macros
Topic: Collision detection without cut or common
Replies: 20
Views: 379

Re: Collision detection without cut or common

Your tessellation values are probably too high :

prop_view_3.png
prop_view_3.png (39.74 KiB) Viewed 75 times
by Chris_G
Thu Jul 11, 2019 12:56 pm
Forum: Python scripting and macros
Topic: Collision detection without cut or common
Replies: 20
Views: 379

Re: Collision detection without cut or common

Not that new : 2015 !!!
https://github.com/FreeCAD/FreeCAD/comm ... 42304f10c1
But I had never used it yet.
by Chris_G
Thu Jul 11, 2019 9:05 am
Forum: Help on using FreeCAD
Topic: smooth airfoil
Replies: 14
Views: 1418

Re: smooth airfoil

The name of the object has changed.
It should work by replacing "DWire" with "Wire" in the first line of the code :

Code: Select all

obj = FreeCAD.ActiveDocument.getObject("Wire")
pts = [v.Point for v in obj.Shape.Vertexes]
import Part
bs = Part.BSplineCurve()
bs.interpolate(pts)
Part.show(bs.toShape())
by Chris_G
Wed Jul 10, 2019 7:56 am
Forum: Python scripting and macros
Topic: Collision detection without cut or common
Replies: 20
Views: 379

Re: Collision detection without cut or common

I assume there is no other way than a cut or a common to check if two objects are colliding and not adjacent? Because it also seems quite an expensive operation for what you want to know. (If you know that one point is inside of the other object you already know sufficient in fact). Maybe Shape.pro...
by Chris_G
Sat Jul 06, 2019 12:01 pm
Forum: Help on using FreeCAD
Topic: Intersecting contours pocket.
Replies: 19
Views: 317

Re: Intersecting contours pocket.

chrisb wrote:
Fri Jul 05, 2019 8:38 pm
I think it's not G0,G0,G1, it's C0, C1, C2, where C stands for continuity.
Both G and C continuities exist.
Here is a pretty good explanation :
https://www.quora.com/Whats-the-differe ... or-splines
by Chris_G
Sat Jul 06, 2019 10:01 am
Forum: Help on using FreeCAD
Topic: Intersecting contours pocket.
Replies: 19
Views: 317

Re: Intersecting contours pocket.

Thanks for the explanation. How does this relate to G0, G1, G2? I've seen it said that for a car finish to look smooth from an angle (rather than straight on) the surface needs to be G2. Yes. The reason is, I think, that we talk about high gloss reflective surfaces. The light reflection angle is a ...
by Chris_G
Fri Jul 05, 2019 4:29 pm
Forum: Help on using FreeCAD
Topic: Intersecting contours pocket.
Replies: 19
Views: 317

Re: Intersecting contours pocket.

kisolre wrote:
Fri Jul 05, 2019 4:11 pm
Any insight on the original topic? Why intersecting contours work with groove?
No idea. I don't use Part Design often.

Go to advanced search